Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.message
Class SimpleMessage

    java.lang.Object
      org.apache.logging.log4j.message.SimpleMessage

All Implemented Interfaces:
  Serializable, Message

    public class SimpleMessage

extends Object
implements Message

The simplest possible implementation of Message. It just returns the String given as the constructor argument.

See Also:
  Serialized Form

Constructor Summary
`SimpleMessage()` Basic constructor.
`SimpleMessage(String message)` Constructor that includes the message.

Method Summary
`boolean` | `equals(Object o)`
`String` | `getFormat()` Returns the message.
`String` | `getFormattedMessage()` Returns the message.
`Object[]` | `getParameters()` Returns null since there are no parameters.
`Throwable` | `getThrowable()` Always returns null.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleMessage

    public SimpleMessage()

  Basic constructor.

### SimpleMessage

    public SimpleMessage(String message)

  Constructor that includes the message.

  Parameters:
    `message` - The String message.

Method Detail

### getFormattedMessage

    public String getFormattedMessage()

  Returns the message.

  Specified by:
    `getFormattedMessage` in interface `Message`
  Returns:
    the message.

### getFormat

    public String getFormat()

  Returns the message.

  Specified by:
    `getFormat` in interface `Message`
  Returns:
    the message.

### getParameters

    public Object[] getParameters()

  Returns null since there are no parameters.

  Specified by:
    `getParameters` in interface `Message`
  Returns:
    null.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getThrowable

    public Throwable getThrowable()

  Always returns null.

  Specified by:
    `getThrowable` in interface `Message`
  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.